<div class="editorWindow" appUpload (onFileDropped)="dropFile($event)" [ariaMultiSelectable]="false">
    <section class="hero-main hero" *ngIf="!this.editorOpen">
      <div class="hero-body">
        <div class="container">
          <div class="columns">
            <div class="column is-two-fifths">
              <h1 class="title is-1 block">IFML Web Editor</h1>
              <h2 class="subtitle is-4">A web based toolbox for creating and editing exchangable IFML diagrams using XMI</h2>
              <button class="button is-primary is-large" (click)="openEditor()">Create Diagram</button>
              <input type="file" #file [multiple]="false" (change)="openFile($event)" style="display:none" />
              <button class="button is-link is-large is-light" (click)="file.click()">Open</button>
              <p>or just drop a .ifml file on the page</p>
            </div>
            <div class="column screenshots">
              <img class="screenshot1" src="assets/editor-screenshot.png">
            </div>
          </div>
        </div>
      </div>
    </section>
    <app-modeler *ngIf="this.editorOpen" [xmi]="this.xmi" (openFile)="openFile($event)"></app-modeler>
  </div>
